org.apache.avro

## Interface SchemaValidator

All Known Implementing Classes:
  ValidateAll, ValidateLatest

    public interface SchemaValidator

A SchemaValidator has one method, which validates that a `Schema` is compatible with the other schemas provided.

What makes one Schema compatible with another is not part of the interface contract.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `validate(Schema toValidate, Iterable<Schema> existing)` Validate one schema against others.

### Method Detail

#### validate

    void validate(Schema toValidate,
                  Iterable<Schema> existing)
           throws SchemaValidationException

Validate one schema against others. The order of the schemas to validate against is chronological from most recent to oldest, if there is a natural chronological order. This allows some validators to identify which schemas are the most "recent" in order to validate only against the most recent schema(s).

Parameters:
  `toValidate` - The schema to validate
  `existing` - The schemas to validate against, in order from most recent to latest if applicable
Throws:
  `SchemaValidationException` - if the schema fails to validate.